﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private cvsMain As Canvas
	Private imagenull As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	imagenull = "iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsIAAA7CARUoSoAAAAAYSURBVEhL7cEBAQAAAIIg/6+uIUAAAFwNCRgAAdACW14AAAAASUVORK5CYII="
End Sub

' button to panel
'
' create a Button using the control Panel
' parameters To be passed are simple
' NewButtonComplementary(panel1,lb,nomepicture.png,Colors.Red,Colors.Black,true,1,false)
Sub NewButtonComplementary(p As Panel,Lbn As Label,bmpstring As String,col1 As Int, col2 As Int,Gradient As Boolean, types As Int, bord As Boolean)
	
	Dim bmp As Bitmap
	If bmpstring.Length > 0 Then
		bmp.Initialize(File.DirAssets,bmpstring)
	Else
		bmp.Initialize3(Base64StringToImage(imagenull))
	End If

	bmp = ScalingBitmap(bmp,p)
	
	Dim r1,r2 As Rect
	Dim a,b,c,d,e As Float

	a = ((p.Width-(bmp.Width))/2)
	b = ((p.Height-(bmp.Height))/2)
	c = p.Width-a
	d = p.Height-b
	e = Lbn.TextSize
	
	r1.Initialize(0,0,bmp.Width,bmp.Height)
	r2.Initialize( a , b, c , d )
	
	p.Color = Colors.Transparent
	cvsMain.Initialize(p)
	Dim r As Rect
	r.Initialize(0,0,p.Width-1,p.Height-1)
	If Gradient = False Then
		cvsMain.DrawRectRotated(r,col1,True,0,0)
	Else
		BackgroundGradient(cvsMain,r,col1,col2-255,types, 0)
	End If
	If bord = True Then cvsMain.DrawRectRotated(r,Colors.ARGB(128,100,100,100),False,1,0)
	If bmpstring.Length > 0 Then cvsMain.DrawBitmap(bmp,r1,r2)
	If bmpstring.Length > 0 Then 
		cvsMain.DrawTextRotated(Lbn.Text,p.Width/2,p.Height-(e),Lbn.Typeface,Lbn.TextSize,Lbn.TextColor,"CENTER",0)
	Else
		cvsMain.DrawTextRotated(Lbn.Text,p.Width/2,(p.Height/2)+(e/2),Lbn.Typeface,Lbn.TextSize,Lbn.TextColor,"CENTER",0)
	End If
End Sub

' button corners to panel
'
'create a Button with rounded corners using the control Panel
'parameters To be passed are simple
' NewButtonComplementary(panel1,lb,nomepicture.png,Colors.Red,Colors.Black,true,1,4,false)
Sub NewButtonRound(p As Panel, Lbn As Label, bmpstring As String, col1 As Int, col2 As Int, Gradient As Boolean, types As Int, Arc As Int, bord As Boolean)
		
	Dim bmp As Bitmap
	
	Dim space As Int
	space = Lbn.TextSize
	
	If Lbn.text.Length = 0 Then space = 0
	
	If bmpstring.Length > 0 Then
		bmp.Initialize(File.DirAssets,bmpstring)
	Else
		bmp.Initialize3(Base64StringToImage(imagenull))
	End If
	
	bmp = ScalingBitmap(bmp,p)
	
	Dim r1,r2 As Rect
	Dim a,b,c,d,e As Float
	
	a = ((p.Width-(bmp.Width))/2)
	b = ((p.Height-(bmp.Height))/2)
	c =  p.Width-a
	d =  p.Height-b
	e = Lbn.TextSize
	
	r1.Initialize(0,0,bmp.Width,bmp.Height)
	r2.Initialize( a , b, c , d )
	p.Color = Colors.Transparent
	
	cvsMain.Initialize(p)
	
	Dim r As Rect
	r.Initialize(0,0,p.Width,p.Height)
	
	If Gradient = False Then
		cvsMain.DrawRectRotated(r,col1,True,0,0)
	Else
		BackgroundGradient(cvsMain,r,col1,col2,types,Arc)
	End If
	
	If bord = True Then cvsMain.DrawRectRotated(r,Colors.ARGB(128,100,100,100),False,1,0)
	
	If bmpstring.Length > 0 Then cvsMain.DrawBitmap(bmp,r1,r2)
	
	If bmpstring.Length > 0 Then 
		cvsMain.DrawTextRotated(Lbn.Text,p.Width/2,p.Height-(e),Lbn.Typeface,Lbn.TextSize,Lbn.TextColor,"CENTER",0)
	Else
		cvsMain.DrawTextRotated(Lbn.Text,p.Width/2,(p.Height/2)+(e/2),Lbn.Typeface,Lbn.TextSize,Lbn.TextColor,"CENTER",0)
	End If
	
End Sub

' button to panel
'
' create a Button using the control Panel
' parameters To be passed are simple
' NewButtonComplementary(panel1,lb,nomepicture.png,Colors.Red,Colors.Black,true,1,false)
Sub NewButtonRec(p As Panel,lbn As Label ,bmpstring As String,col1 As Int,col2 As Int, Gradient As Boolean, types As Int, bord As Boolean)
	
	Dim bmp As Bitmap
	
	Dim space As Int
	space = lbn.TextSize
	
	If lbn.Text.Length = 0 Then space = 0
	
	If bmpstring.Length > 0 Then
		bmp.Initialize(File.DirAssets,bmpstring)
	Else
		bmp.Initialize3(Base64StringToImage(imagenull))
	End If
	
	bmp = ScalingBitmap(bmp,p)
	
	Dim r1,r2 As Rect
	Dim a,b,c,d,e As Float
	
	a = ((p.Width-(bmp.Width))/2)
	b = ((p.Height-(bmp.Height))/2)
	c =  p.Width-a
	d =  p.Height-b
	e = lbn.TextSize
	
	r1.Initialize(0,0,bmp.Width,bmp.Height)
	r2.Initialize( a , b, c , d )
	
	p.Color = Colors.Transparent
	
	cvsMain.Initialize(p)
	
	Dim r As Rect
	r.Initialize(0,0,p.Width,p.Height)
	
	If Gradient = False Then
		cvsMain.DrawRectRotated(r,col1,True,0,0)
	Else
		BackgroundGradient(cvsMain,r,col1,col2,types,0)
	End If
	
	If bord = True Then cvsMain.DrawRectRotated(r,Colors.ARGB(128,100,100,100),False,1,0)
	
	If bmpstring.Length > 0 Then 
		cvsMain.DrawBitmap(bmp,r1,r2)
	End If
	
	If bmpstring.Length > 0 Then 
		cvsMain.DrawTextRotated(lbn.Text,p.Width/2,p.Height-e,lbn.Typeface,lbn.TextSize,lbn.TextColor,"CENTER",0)
	Else
		cvsMain.DrawTextRotated(lbn.Text,p.Width/2,(p.Height/2)+(e/2),lbn.Typeface,lbn.TextSize,lbn.TextColor,"CENTER",0)
	End If
	
End Sub

' return image empty
Sub ImageEmpty() As Bitmap
	Dim bmp As Bitmap
	bmp.Initialize3(Base64StringToImage(imagenull))
	Return bmp
End Sub

Private Sub ScalingBitmap(bmp As Bitmap, p As View) As Bitmap

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
	w = ((bmp.Width-25) / (bmp.Width/p.Width))/lv.Scale
	h = ((bmp.Height-25) / ( bmp.Width/p.Width))/lv.Scale
	
	
	Dim btmpex As BitmapExtended
	btmpex.Initialize("BitmapExtended")
	Dim bmpnew As Bitmap
	bmpnew = btmpex.createScaledBitmap(bmp,w,h,True)
	Return bmpnew
	
End Sub

' gradient color
Private Sub BackgroundGradient(cvs As Canvas,rct As Rect, color1 As Int, color2 As Int,Types As Int, arc As Int)
	Dim GD As GradientDrawable
	Dim r As Rect
	Dim Colours(2) As  Int
	Colours(0) = color1
	Colours(1) = color2
	If Types = 1 Then GD.Initialize("TOP_BOTTOM",Colours)
	If Types = 2 Then GD.Initialize("BOTTOM_TOP",Colours)
	If Types = 3 Then GD.Initialize("RIGHT_LEFT",Colours)
	If Types = 4 Then GD.Initialize("LEFT_RIGHT",Colours)
	GD.CornerRadius = arc
	cvs.DrawDrawable(GD,rct)
End Sub

' color gradien type 1 Top_bottom type 2 Bottom_top type 3 Right_left type 4 Left_right
Sub GradientCanvasObject(cvs As Canvas,rct As Rect, color1 As Int, color2 As Int,Types As Int, redius As Int)
	Dim GD As GradientDrawable
	Dim r As Rect
	Dim Colours(2) As  Int
	Colours(0) = color1
	Colours(1) = color2
	If Types = 1 Then GD.Initialize("TOP_BOTTOM",Colours)
	If Types = 2 Then GD.Initialize("BOTTOM_TOP",Colours)
	If Types = 3 Then GD.Initialize("RIGHT_LEFT",Colours)
	If Types = 4 Then GD.Initialize("LEFT_RIGHT",Colours)
	GD.CornerRadius = redius
	cvs.DrawDrawable(GD,rct)
End Sub

' color gradien activity
Sub GradienActivity(v As Activity, col1 As Int, col2 As Int)
	Dim g As GradientDrawable
	Dim clrs(2) As Int
	clrs(0) = col1
	clrs(1) = col2
	g.Initialize("TOP_BOTTOM",clrs)
	g.CornerRadius = 0
	v.Background = g
End Sub

' return value int to dip
Sub IntToDIP(Integer As Int) As Int
   Dim r As Reflector
   Dim scale As Float
   r.Target = r.GetContext
   r.Target = r.RunMethod("getResources")
   r.Target = r.RunMethod("getDisplayMetrics")
   scale = r.GetField("density")
   Dim DIP As Int
   DIP = Integer * scale + 0.5
   Return DIP
End Sub

' return bitmap from string code base64
Sub Base64StringToImage(s As String) As Bitmap
   Dim su As StringUtils
   Dim bytes() As Byte = su.DecodeBase64(s)
   Dim In As InputStream
   In.InitializeFromBytesArray(bytes, 0, bytes.Length)
   Dim bmp As Bitmap
   bmp.Initialize2(In)
   In.Close
   Return bmp
End Sub

' Returns the resized image
' _Example code
' ScalingPicture(LoadBitmap(File.DirAssets,"Picture.png"),250dip,250dip)
Sub ScaledBitmap(Original As Bitmap, Width As Int, Height As Int) As Bitmap
    Dim r As Reflector
    Dim b As Bitmap
	Dim filter As Boolean: filter=True
    b = r.RunStaticMethod("android.graphics.Bitmap", "createScaledBitmap", _
        Array As Object(Original, Width, Height, filter), _
        Array As String("android.graphics.Bitmap", "java.lang.int", "java.lang.int", "java.lang.boolean"))
    Return b
End Sub

' Center image into Activity
' _Example code
' CenterImageToActivity(Activity,LoadBitmap(File.DirAssets,"Picture.png"))
Sub CenterImageToActivity(v As Activity, bmp As Bitmap)
	Dim r,rr As Rect
	r.Initialize(0,0,bmp.Width,bmp.Height)
	Dim l,t,w,h As Int
	l = (v.Width-bmp.Width)/2
	t = (v.Height-bmp.Height)/2
	w = bmp.Width
	h = bmp.Height
	rr.Initialize(l,t,w+l,h+t)
	Dim cv As Canvas
	cv.Initialize(v)
	cv.DrawBitmap(bmp,r,rr)
End Sub

' Center image into View
' _Example code
' CenterImageToActivity(View,LoadBitmap(File.DirAssets,"Picture.png"))
Sub CenterImageToView(v As View, bmp As Bitmap)
	Dim r,rr As Rect
	r.Initialize(0,0,bmp.Width,bmp.Height)
	Dim l,t,w,h As Int
	l = (v.Width-bmp.Width)/2
	t = (v.Height-bmp.Height)/2
	w = bmp.Width
	h = bmp.Height
	rr.Initialize(l,t,w+l,h+t)
	Dim cv As Canvas
	cv.Initialize(v)
	cv.DrawBitmap(bmp,r,rr)
End Sub

' Resize % font size height view 
' _Example code
' TexResizeView(Label1,30)
Sub TexResizeView(v As View, resize As Float, types As Typeface)

    Dim ActivityScale As Int
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	ActivityScale = lv.Scale
	
	If v Is Button Then
		Dim a As Button
		a = v
		a.TextColor = Colors.White
		a.TextSize = ((a.Height*resize)/100)/ ActivityScale
		a.Typeface = types
	Else If v Is Label Then
		Dim b As Label
		b = v
		b.TextColor = Colors.White
		b.TextSize = ((b.Height*resize)/100)/ ActivityScale
		b.Typeface = types
	Else If v Is EditText Then
		Dim c As EditText
		c = v
		c.TextColor = Colors.White
		c.TextSize = ((c.Height*resize)/100)/ ActivityScale
		c.Typeface = Typeface.DEFAULT_BOLD
	Else If v Is AutoCompleteEditText Then
		Dim d As AutoCompleteEditText
		d = v
		d.TextColor = Colors.White
		d.TextSize = ((d.Height*resize)/100)/ ActivityScale
		d.Typeface = types
	End If
			
End Sub

' return BitmapDrawable
' _Example code
' imageDrawable(bitmap)
Sub imageDrawable(bmp As Bitmap)As BitmapDrawable
	Dim bmpd As BitmapDrawable
	bmpd.Initialize(bmp)
	Return bmpd
End Sub