﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private timer1 As Timer
	Private  lat,lon,alt As Double
	Private  GpsSms As GPS
	Private smslink As String
	Dim message1, message2 As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	lat = 0.0
	lon = 0.0
	alt = 0.0
	message1 = "Call Me I need you, I'm here "
	message2 = "Call me I need you"
End Sub

' apre google map app
Sub MapIntent(address As String)
	Try
	Dim Intent1 As Intent
	Dim Uri As String
	Uri="google.navigation:q=" & address
	Intent1.Initialize(Intent1.ACTION_VIEW, Uri)
	Intent1.SetComponent("googlemaps")
	StartActivity(Intent1)
	Catch
		ToastMessageShow("Navigate inactive or not installed...", True)
	End Try
End Sub

' avvia telefonata
Sub PhoneIntent(Phone As String)
	Try
	Dim p As PhoneCalls
	StartActivity(p.Call(Phone))
	Catch
		ToastMessageShow("Phone inactive or not installed...", True)
	End Try
End Sub

' avvia telefonata al centro 118,115,113,112,911
Sub SosIntent(Code As String)
	Try
	Dim p As PhoneCalls
	StartActivity(p.Call(Code))
	Catch
		ToastMessageShow("Phone inactive or not installed...", True)
	End Try
End Sub

' avvia navigatore e localizza punto gps per poi inviare coordinate su messaggio sms
Sub SmsIntent(numbersms As String)
	Try
	smslink = numbersms
	If gpsActive(0, 0) = True Then
		ToastMessageShow("Activate Geo location", True)
	End If
	Catch
		ToastMessageShow("phone inactive or not installed...", True)
	End Try
End Sub

Private Sub gpsActive(tim As Long, Dis As Float) As Boolean
	GpsSms.Initialize("GPS")
	timer1.Initialize("Timer1",60000*2)
	timer1.Enabled = True	
	Try
   		If GpsSms.GPSEnabled = False Then
			ToastMessageShow("Plase wait", True)
       		StartActivity(GpsSms.LocationSettingsIntent)
			GpsSms.Start(tim,Dis)
			Return True
		Else
			GpsSms.Stop
			GpsSms.Start(tim,Dis)
			Return True
		End If
	Catch
		Dim s As String = "Error " & LastException.message
		ToastMessageShow(s , True)
		Return False
	End Try

End Sub
	
Private Sub GPS_LocationChanged (Location1 As Location)
	lat = Location1.Latitude
    lon = Location1.Longitude
    alt = Location1.Altitude
	Dim Sms As PhoneSms
	Dim numerphone As Phone
	Dim s As String
	s = lat & "," & lon
	s = mappaLink(s)
	Sms.Send(smslink, message1 & s)
	ToastMessageShow("SMS sent successfully", True)
	GpsSms.Stop
	timer1.Enabled = False
End Sub

Private Sub mappaLink( luogo As String) As String
	Dim Uri As String
	Uri="https://maps.google.it/maps?q=" & luogo & "&hl=it&t=h&z=16"
	Return Uri
End Sub

Private Sub GPS_UserEnabled (Enabled As Boolean)
	If Enabled = True Then
    	ToastMessageShow("GPS active", True)
	Else
		ToastMessageShow("GPS is not active", True)
	End If
End Sub

Private Sub GPS_GpsStatus (Satellites As List)

End Sub

Private Sub Timer1_Tick()
	GpsSms.Stop
	Dim Sms As PhoneSms
	Dim numerphone As Phone
	Sms.Send(smslink,message2 )
	ToastMessageShow("SMS sent successfully", True)
	timer1.Enabled = False
End Sub

' avvia pagina web
Sub WebIntent(linkUrl As String)
	Dim Intent1 As Intent
	Dim Uri As String
	Uri=linkUrl
	Intent1.Initialize(Intent1.ACTION_VIEW, Uri)
	Intent1.SetComponent("Internt")
	StartActivity(Intent1)
End Sub

' avvia facebook
Sub OpenFacebook
	Try
		Dim pm As PackageManager
		Dim I As Intent
		I = pm.GetApplicationIntent("com.facebook.katana")
		StartActivity(I)
		ToastMessageShow("Open Facebook", True)
	Catch
		ToastMessageShow("Facebook inactive or not installed...", True)
	End Try
End Sub

' avvia twitter
Sub OpenTwitter
	Try
		Dim pm As PackageManager
		Dim I As Intent
		I = pm.GetApplicationIntent("com.twitter.android")
		StartActivity(I)
		ToastMessageShow("Open Twitter", True)
	Catch
		ToastMessageShow("Twitter inactive or not installed...", True)
	End Try
End Sub

' avvia linkedin
Sub OpenLinkedin
	Try
		Dim pm As PackageManager
		Dim I As Intent
		I = pm.GetApplicationIntent("com.linkedin.android")
		StartActivity(I)
		ToastMessageShow("Open Linkedin", True)
	Catch
		ToastMessageShow("Linkedin inactive or not installed...", True)
	End Try
End Sub

' avvia gmail
Sub OpenGmail
	Try
		Dim pm As PackageManager
		Dim i As Intent
		i = pm.GetApplicationIntent("com.google.android.gm")
		StartActivity(i)
		ToastMessageShow("GMail", True)
	Catch
		ToastMessageShow("Gmail inactive or not installed...", True)
	End Try
End Sub

' avvia google +
Sub OpenGooglePiu
	Try
		Dim pm As PackageManager
		Dim I As Intent
		I = pm.GetApplicationIntent("com.google.android.apps.plus")
		StartActivity(I)
		ToastMessageShow("Open G+", True)
	Catch
		ToastMessageShow("Google+ inactive or not installed...", True)
	End Try
End Sub

' avvia telefono
Sub OpenPhone
	Try
	Dim I As Intent
	I.Initialize(I.ACTION_VIEW, "tel:")
	StartActivity(I)
	ToastMessageShow("Open Phone", True)
	Catch
		ToastMessageShow("Module phone inactive or not installed...", True)
	End Try
End Sub

' avvia agenda
Sub OpenContact
	Try
	Dim i As Intent
	i.Initialize(i.ACTION_VIEW, "content://contacts/people/")
	StartActivity(i)
	ToastMessageShow("Open Contacts", True)
	Catch
		ToastMessageShow("Contact inactive or not installed...", True)
	End Try
End Sub

' avvia calendar
Sub OpenCalendar
	Try
		Dim pm As PackageManager
		Dim i As Intent
		i = pm.GetApplicationIntent("com.android.calendar")
		StartActivity(i)
		ToastMessageShow("Calendar", True)
	Catch
		ToastMessageShow("Calendar inactive or not installed...", True)
	End Try
End Sub

' avvia crome
Sub OpenCrome
	Try
		Dim pm As PackageManager
		Dim i As Intent
		i = pm.GetApplicationIntent("com.android.chrome")
		StartActivity(i)
		ToastMessageShow("Web", True)
	Catch
		ToastMessageShow("Crome inactive or not installed...", True)
	End Try
End Sub

' avvia camera
Sub OpenCamera
	Try
	Dim pm As PackageManager
	Dim i As Intent
	i.Initialize("android.media.action.IMAGE_CAPTURE", "")
	StartActivity(i)
	ToastMessageShow("Open Camera", True)
	Catch
		ToastMessageShow("Camera inactive or not installed...", True)
	End Try
End Sub

' avvia gallery
Sub OpenGallery
	Try
	Dim i As Intent
	i.Initialize(i.ACTION_PICK, "")
	i.SetType("image/*")
	StartActivity(i)
	ToastMessageShow("Open Gallery", True)
	Catch
		ToastMessageShow("Gallery inactive or not installed...", True)
	End Try
End Sub


#Region name app
'LogCat connected To: 4df7e42a7175cf1f
'--------- beginning of /dev/Log/Main
'
'
'com.android.nfc
'
'
'com.android.noisefield
'com.android.packageinstaller
'com.android.phasebeam
'com.android.Phone
'com.android.pickuptutorial
'com.android.providers.applications
'com.android.providers.calendar
'com.android.providers.Contacts
'com.android.providers.downloads
'com.android.providers.downloads.ui
'com.android.providers.drm
'com.android.providers.media
'com.android.providers.partnerbookmarks
'com.android.providers.security
'com.android.providers.settings
'com.android.providers.telephony
'com.android.providers.userdictionary
'com.android.server.device.enterprise
'com.android.server.vpn.enterprise
'com.android.settings
'com.android.settings.mt
'com.android.sharedstoragebackup
'com.android.smspush
'com.android.stk
'com.android.systemui
'com.android.vending
'com.android.vpndialogs
'com.android.wallpaper.livepicker
'com.arcsoft.picturesbest.app
'com.avast.android.at_play
'com.avast.android.backup
'com.avast.android.mobilesecurity
'com.backflipstudios.android.shapeshift
'com.box.android
'com.dama.paperartist
'com.devuni.flashlight
'com.diotek.diodict3.service
'com.diotek.mini_penmemo
'com.dropbox.android
'com.endomondo.android.pro
'com.etoro.socialalerts
'com.facebook.katana
'com.fmm.dm
'com.fmm.ds
'com.google.android.apps.books
'com.google.android.apps.magazines
'com.google.android.apps.maps
'com.google.android.apps.plus
'com.google.android.apps.uploader
'com.google.android.backup
'com.google.android.feedback
'com.google.android.gm
'com.google.android.gms
'com.google.android.googlequicksearchbox
'com.google.android.gsf
'com.google.android.gsf.login
'com.google.android.Location
'com.google.android.marvin.talkback
'com.google.android.music
'com.google.android.partnersetup
'com.google.android.setupwizard
'com.google.android.street
'com.google.android.syncadapters.bookmarks
'com.google.android.syncadapters.calendar
'com.google.android.syncadapters.Contacts
'com.google.android.talk
'com.google.android.tts
'com.google.android.voicesearch
'com.google.android.youtube
'com.google.earth
'com.ideavisible.tictactoe.free
'com.infraware.polarisviewer4
'com.intsig.camscanner
'com.keramidas.TitaniumBackup
'com.lifevibes.trimapp
'com.linkedin.android
'com.maxxt.pcradio
'com.microphone.earspy
'com.monotype.android.font.chococooky
'com.monotype.android.font.helvneuelt
'com.monotype.android.font.rosemary
'com.orange.authentication.simcard.permission
'com.osp.app.signin
'com.overpass.eyespylite
'com.panasonic.pavc.viera.vieraremote2
'com.phonegap.demo
'com.quickoffice.android
'com.samsung.SMT
'com.samsung.android.app.divx
'com.samsung.android.livewallpaper.deepsea
'com.samsung.android.livewallpaper.luminousdots
'com.samsung.android.providers.context
'com.samsung.app.playreadyui
'com.samsung.avrcp
'com.samsung.groupcast
'com.samsung.helphub
'com.samsung.Map
'com.samsung.music
'com.samsung.overmob.kidshub
'com.samsung.scloud.scloudstarter
'com.samsung.scrc.idi.server
'com.samsung.sec.android.application.csc
'com.samsung.sec.sketch
'com.samsung.shareshot
'com.samsung.spell.gmail
'com.samsung.spell.googlemaps
'com.samsung.topicwall
'
'
'com.samsung.videohub
'com.sec.android.Kies
'com.sec.android.allshare.framework
'com.sec.android.app.DataCreate
'com.sec.android.app.FileShareClient
'com.sec.android.app.FileShareServer
'com.sec.android.app.FlashBarService
'com.sec.android.app.GlanceView
'com.sec.android.app.SecSetupWizard
'com.sec.android.app.SuggestionService
'com.sec.android.app.bluetoothtest
'com.sec.android.app.camera
'com.sec.android.app.clockpackage
'com.sec.android.app.controlpanel
'com.sec.android.app.factorymode
'com.sec.android.app.fm
'com.sec.android.app.gamehub
'com.sec.android.app.kieswifi
'com.sec.android.app.launcher
'com.sec.android.app.lcdtest
'com.sec.android.app.minimode.res
'com.sec.android.app.mobileprint
'com.sec.android.app.music
'com.sec.android.app.myfiles
'com.sec.android.app.nfctest
'com.sec.android.app.personalization
'com.sec.android.app.phoneutil
'com.sec.android.app.popupcalculator
'com.sec.android.app.popupuireceiver
'com.sec.android.app.samsungapps
'com.sec.android.app.samsungapps.una2
'com.sec.android.app.selftestmode
'com.sec.android.app.servicemodeapp
'com.sec.android.app.snotebook
'com.sec.android.app.sns3
'com.sec.android.app.sysscope
'com.sec.android.app.tmserver
'com.sec.android.app.twdvfs
'com.sec.android.app.videoplayer
'com.sec.android.app.voicerecorder
'com.sec.android.app.wallpaperchooser
'com.sec.android.app.wfdbroker
'com.sec.android.app.wlantest
'com.sec.android.cloudagent
'com.sec.android.cloudagent.dropboxoobe
'com.sec.android.daemonapp.ap.accuweather
'com.sec.android.daemonapp.ap.yahoonews
'com.sec.android.daemonapp.ap.yahoostock.stockclock
'com.sec.android.directconnect
'com.sec.android.directshare
'com.sec.android.drmpopup
'com.sec.android.dttsupport
'com.sec.android.favoriteappwidget
'com.sec.android.fotaclient
'com.sec.android.fwupgrade
'com.sec.android.gallery3d
'com.sec.android.gesturepad
'com.sec.android.iap
'com.sec.android.inputmethod
'com.sec.android.mimage.photoretouching
'com.sec.android.motions.settings.panningtutorial
'com.sec.android.msc.mediabridge
'com.sec.android.nearby.mediaserver
'com.sec.android.preloadinstaller
'com.sec.android.provider.badge
'com.sec.android.provider.logsprovider
'com.sec.android.provider.snote
'com.sec.android.providers.downloads
'com.sec.android.sCloudBackupApp
'com.sec.android.sCloudBackupProvider
'com.sec.android.sCloudRelayData
'com.sec.android.sCloudSync
'com.sec.android.sCloudSyncBrowser
'com.sec.android.sCloudSyncCalendar
'com.sec.android.sCloudSyncContacts
'com.sec.android.sCloudSyncSNote
'com.sec.android.service.cm
'com.sec.android.widgetapp.SPlannerAppWidget
'com.sec.android.widgetapp.alarmclock
'com.sec.android.widgetapp.allsharecast
'com.sec.android.widgetapp.analogclocksimple
'com.sec.android.widgetapp.ap.hero.accuweather
'com.sec.android.widgetapp.ap.hero.accuweather.widget
'com.sec.android.widgetapp.ap.yahoonews
'com.sec.android.widgetapp.ap.yahoostock.stockclock
'com.sec.android.widgetapp.digitalclock
'com.sec.android.widgetapp.dualclockanalog
'com.sec.android.widgetapp.dualclockdigital
'com.sec.android.widgetapp.favoriteswidget
'com.sec.android.widgetapp.webmanual
'com.sec.app.RilErrorNotifier
'com.sec.bcservice
'com.sec.ccl.csp.app.secretwallpaper.themetwo
'com.sec.chaton
'com.sec.dsm.Phone
'com.sec.dsm.system
'com.sec.enterprise.permissions
'com.sec.everglades
'com.sec.everglades.update
'com.sec.factory
'com.sec.hearingadjust
'com.sec.msc.learninghub
'com.sec.pcw
'com.sec.pcw.device
'com.sec.Phone
'com.sec.readershub
'com.sec.readershub2.store
'com.sec.setdefaultbrowser
'com.sec.spen.flashannotate
'com.sec.spen.flashannotatesvc
'com.sec.spp.push
'com.sec.waterdrop
'com.sec.webbrowserminiapp
'com.siso.photoWall
'com.skype.raider
'com.smlds
'com.soundcloud.android
'com.tgrape.android.radar
'com.twitter.android
'com.viber.voip
'com.visionobjects.resourcemanager
'com.vlingo.midas
'com.waze
'com.whatsapp
'com.wsomacp
'com.wssnps
'com.wssyncmldm
'de.lotumlabs.buddypainting
'flipboard.app
'it.altroconsumo.orabasta
'it.h3g.appbox.nerostark.com
'it.h3g.areaclienti3
'it.mywatson.watsy
'
'
'mobi.infolife.batterysaver
'org.simalliance.openmobileapi.service
'org.videolan.vlc.betav7neon
'** Activity (Main) Pause, UserClosed = False **
'
'
'--------- beginning of /dev/Log/system
'
'
'** Activity (Main) Create, isFirst = True **
'** Activity (Main) Resume **
'main_activity_resume (B4A line: 56)
'ls.Add(pm.GetInstalledPackages.Get(i))
'java.lang.RuntimeException: Object should first be initialized (List).
'	at anywheresoftware.b4a.AbsObjectWrapper.getObject(AbsObjectWrapper.java:46)
'	at anywheresoftware.b4a.objects.collections.List.Add(List.java:76)
'	at b4a.example.main._activity_resume(Main.java:349)
'	at java.lang.reflect.Method.invokeNative(Native Method)
'	at java.lang.reflect.Method.invoke(Method.java:511)
'	at anywheresoftware.b4a.BA.raiseEvent2(BA.java:169)
'	at anywheresoftware.b4a.BA.raiseEvent(BA.java:153)
'	at b4a.example.main.afterFirstLayout(Main.java:95)
'	at b4a.example.main.access$100(Main.java:16)
'	at b4a.example.main$WaitForLayout.run(Main.java:74)
'	at android.os.Handler.handleCallback(Handler.java:615)
'	at android.os.Handler.dispatchMessage(Handler.java:92)
'	at android.os.Looper.Loop(Looper.java:137)
'	at android.app.ActivityThread.main(ActivityThread.java:4898)
'	at java.lang.reflect.Method.invokeNative(Native Method)
'	at java.lang.reflect.Method.invoke(Method.java:511)
'	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1008)
'	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:775)
'
'
'	at dalvik.system.NativeStart.main(Native Method)
'** Activity (Main) Create, isFirst = True **
'** Activity (Main) Resume **
'** Activity (Main) Create, isFirst = True **
'
'
'** Activity (Main) Resume **
'air.com.adobe.pstouchphone
'android
'android.googleSearch.googleSearchWidget
'anywheresoftware.b4a.b4abridge
'anywheresoftware.b4a.designer
'b4a.example
'b4alitalia.ivanomonti.eu
'com.adobe.psmobile
'com.agilesoftresource
'com.android.MtpApplication
'com.android.Preconfig
'com.android.apps.tag
'com.android.backupconfirm
'com.android.bluetooth
'com.android.browser
'com.android.calendar
'com.android.certinstaller
'com.android.chrome
'com.android.clipboardsaveservice
'com.android.Contacts
'com.android.defcontainer
'com.android.Email
'com.android.exchange
'com.android.facelock
'com.android.htmlviewer
'com.android.inputdevices
'com.android.keychain
'com.android.mms
'com.android.musicfx
'com.android.nfc
'com.android.noisefield
'com.android.packageinstaller
'com.android.phasebeam
'com.android.Phone
'com.android.pickuptutorial
'com.android.providers.applications
'com.android.providers.calendar
'com.android.providers.Contacts
'com.android.providers.downloads
'com.android.providers.downloads.ui
'com.android.providers.drm
'com.android.providers.media
'com.android.providers.partnerbookmarks
'com.android.providers.security
'com.android.providers.settings
'com.android.providers.telephony
'com.android.providers.userdictionary
'com.android.server.device.enterprise
'com.android.server.vpn.enterprise
'com.android.settings
'com.android.settings.mt
'com.android.sharedstoragebackup
'com.android.smspush
'com.android.stk
'com.android.systemui
'com.android.vending
'com.android.vpndialogs
'com.android.wallpaper.livepicker
'com.arcsoft.picturesbest.app
'com.avast.android.at_play
'com.avast.android.backup
'com.avast.android.mobilesecurity
'com.backflipstudios.android.shapeshift
'com.box.android
'com.dama.paperartist
'com.devuni.flashlight
'com.diotek.diodict3.service
'com.diotek.mini_penmemo
'com.dropbox.android
'com.endomondo.android.pro
'com.etoro.socialalerts
'com.facebook.katana
'com.fmm.dm
'com.fmm.ds
'com.google.android.apps.books
'com.google.android.apps.magazines
'com.google.android.apps.maps
'com.google.android.apps.plus
'com.google.android.apps.uploader
'com.google.android.backup
'com.google.android.feedback
'com.google.android.gm
'com.google.android.gms
'com.google.android.googlequicksearchbox
'com.google.android.gsf
'com.google.android.gsf.login
'com.google.android.Location
'com.google.android.marvin.talkback
'com.google.android.music
'com.google.android.partnersetup
'com.google.android.setupwizard
'com.google.android.street
'com.google.android.syncadapters.bookmarks
'com.google.android.syncadapters.calendar
'com.google.android.syncadapters.Contacts
'com.google.android.talk
'com.google.android.tts
'com.google.android.voicesearch
'com.google.android.youtube
'com.google.earth
'com.ideavisible.tictactoe.free
'com.infraware.polarisviewer4
'com.intsig.camscanner
'com.keramidas.TitaniumBackup
'com.lifevibes.trimapp
'com.linkedin.android
'com.maxxt.pcradio
'com.microphone.earspy
'com.monotype.android.font.chococooky
'com.monotype.android.font.helvneuelt
'com.monotype.android.font.rosemary
'com.orange.authentication.simcard.permission
'com.osp.app.signin
'com.overpass.eyespylite
'com.panasonic.pavc.viera.vieraremote2
'com.phonegap.demo
'com.quickoffice.android
'com.samsung.SMT
'com.samsung.android.app.divx
'com.samsung.android.livewallpaper.deepsea
'com.samsung.android.livewallpaper.luminousdots
'com.samsung.android.providers.context
'com.samsung.app.playreadyui
'com.samsung.avrcp
'com.samsung.groupcast
'com.samsung.helphub
'com.samsung.Map
'com.samsung.music
'com.samsung.overmob.kidshub
'com.samsung.scloud.scloudstarter
'com.samsung.scrc.idi.server
'com.samsung.sec.android.application.csc
'com.samsung.sec.sketch
'com.samsung.shareshot
'com.samsung.spell.gmail
'com.samsung.spell.googlemaps
'com.samsung.topicwall
'com.samsung.videohub
'com.sec.android.Kies
'com.sec.android.allshare.framework
'com.sec.android.app.DataCreate
'com.sec.android.app.FileShareClient
'com.sec.android.app.FileShareServer
'com.sec.android.app.FlashBarService
'com.sec.android.app.GlanceView
'
'
'com.sec.android.app.SecSetupWizard
'com.sec.android.app.SuggestionService
'com.sec.android.app.bluetoothtest
'com.sec.android.app.camera
'com.sec.android.app.clockpackage
'com.sec.android.app.controlpanel
'com.sec.android.app.factorymode
'com.sec.android.app.fm
'com.sec.android.app.gamehub
'com.sec.android.app.kieswifi
'com.sec.android.app.launcher
'com.sec.android.app.lcdtest
'com.sec.android.app.minimode.res
'com.sec.android.app.mobileprint
'com.sec.android.app.music
'com.sec.android.app.myfiles
'com.sec.android.app.nfctest
'com.sec.android.app.personalization
'com.sec.android.app.phoneutil
'com.sec.android.app.popupcalculator
'com.sec.android.app.popupuireceiver
'com.sec.android.app.samsungapps
'com.sec.android.app.samsungapps.una2
'com.sec.android.app.selftestmode
'com.sec.android.app.servicemodeapp
'com.sec.android.app.snotebook
'com.sec.android.app.sns3
'com.sec.android.app.sysscope
'com.sec.android.app.tmserver
'com.sec.android.app.twdvfs
'com.sec.android.app.videoplayer
'com.sec.android.app.voicerecorder
'com.sec.android.app.wallpaperchooser
'com.sec.android.app.wfdbroker
'com.sec.android.app.wlantest
'com.sec.android.cloudagent
'com.sec.android.cloudagent.dropboxoobe
'com.sec.android.daemonapp.ap.accuweather
'com.sec.android.daemonapp.ap.yahoonews
'com.sec.android.daemonapp.ap.yahoostock.stockclock
'com.sec.android.directconnect
'com.sec.android.directshare
'com.sec.android.drmpopup
'com.sec.android.dttsupport
'com.sec.android.favoriteappwidget
'com.sec.android.fotaclient
'com.sec.android.fwupgrade
'com.sec.android.gallery3d
'com.sec.android.gesturepad
'com.sec.android.iap
'com.sec.android.inputmethod
'com.sec.android.mimage.photoretouching
'com.sec.android.motions.settings.panningtutorial
'com.sec.android.msc.mediabridge
'com.sec.android.nearby.mediaserver
'com.sec.android.preloadinstaller
'com.sec.android.provider.badge
'com.sec.android.provider.logsprovider
'com.sec.android.provider.snote
'com.sec.android.providers.downloads
'com.sec.android.sCloudBackupApp
'com.sec.android.sCloudBackupProvider
'com.sec.android.sCloudRelayData
'com.sec.android.sCloudSync
'com.sec.android.sCloudSyncBrowser
'com.sec.android.sCloudSyncCalendar
'com.sec.android.sCloudSyncContacts
'com.sec.android.sCloudSyncSNote
'com.sec.android.service.cm
'com.sec.android.widgetapp.SPlannerAppWidget
'com.sec.android.widgetapp.alarmclock
'com.sec.android.widgetapp.allsharecast
'com.sec.android.widgetapp.analogclocksimple
'com.sec.android.widgetapp.ap.hero.accuweather
'com.sec.android.widgetapp.ap.hero.accuweather.widget
'com.sec.android.widgetapp.ap.yahoonews
'com.sec.android.widgetapp.ap.yahoostock.stockclock
'com.sec.android.widgetapp.digitalclock
'com.sec.android.widgetapp.dualclockanalog
'com.sec.android.widgetapp.dualclockdigital
'com.sec.android.widgetapp.favoriteswidget
'com.sec.android.widgetapp.webmanual
'com.sec.app.RilErrorNotifier
'com.sec.bcservice
'com.sec.ccl.csp.app.secretwallpaper.themetwo
'com.sec.chaton
'com.sec.dsm.Phone
'com.sec.dsm.system
'com.sec.enterprise.permissions
'com.sec.everglades
'com.sec.everglades.update
'com.sec.factory
'com.sec.hearingadjust
'com.sec.msc.learninghub
'com.sec.pcw
'com.sec.pcw.device
'com.sec.Phone
'com.sec.readershub
'com.sec.readershub2.store
'com.sec.setdefaultbrowser
'com.sec.spen.flashannotate
'com.sec.spen.flashannotatesvc
'com.sec.spp.push
'com.sec.waterdrop
'com.sec.webbrowserminiapp
'com.siso.photoWall
'com.skype.raider
'com.smlds
'com.soundcloud.android
'com.tgrape.android.radar
'com.twitter.android
'com.viber.voip
'com.visionobjects.resourcemanager
'com.vlingo.midas
'com.waze
'com.whatsapp
'com.wsomacp
'com.wssnps
'com.wssyncmldm
'de.lotumlabs.buddypainting
'flipboard.app
'it.altroconsumo.orabasta
'it.h3g.appbox.nerostark.com
'it.h3g.areaclienti3
'it.mywatson.watsy
'mobi.infolife.batterysaver
'org.simalliance.openmobileapi.service
'org.videolan.vlc.betav7neon
'** Activity (Main) Pause, UserClosed = True **
'** Activity (Main) Create, isFirst = True **
'** Activity (Main) Resume **
'
'
'air.com.adobe.pstouchphone
'android
'android.googleSearch.googleSearchWidget
'anywheresoftware.b4a.b4abridge
'anywheresoftware.b4a.designer
'b4a.example
'b4alitalia.ivanomonti.eu
'com.adobe.psmobile
'com.agilesoftresource
'com.android.MtpApplication
'com.android.Preconfig
'com.android.apps.tag
'com.android.backupconfirm
'com.android.bluetooth
'com.android.browser
'com.android.calendar
'com.android.certinstaller
'com.android.chrome
'com.android.clipboardsaveservice
'com.android.Contacts
'com.android.defcontainer
'com.android.Email
'com.android.exchange
'com.android.facelock
'com.android.htmlviewer
'com.android.inputdevices
'com.android.keychain
'com.android.mms
'com.android.musicfx
'com.android.nfc
'com.android.noisefield
'com.android.packageinstaller
'com.android.phasebeam
'com.android.Phone
'com.android.pickuptutorial
'com.android.providers.applications
'com.android.providers.calendar
'com.android.providers.Contacts
'com.android.providers.downloads
'com.android.providers.downloads.ui
'com.android.providers.drm
'com.android.providers.media
'com.android.providers.partnerbookmarks
'com.android.providers.security
'com.android.providers.settings
'com.android.providers.telephony
'com.android.providers.userdictionary
'com.android.server.device.enterprise
'com.android.server.vpn.enterprise
'com.android.settings
'com.android.settings.mt
'com.android.sharedstoragebackup
'com.android.smspush
'com.android.stk
'com.android.systemui
'com.android.vending
'com.android.vpndialogs
'com.android.wallpaper.livepicker
'com.arcsoft.picturesbest.app
'com.avast.android.at_play
'com.avast.android.backup
'com.avast.android.mobilesecurity
'com.backflipstudios.android.shapeshift
'com.box.android
'com.dama.paperartist
'com.devuni.flashlight
'com.diotek.diodict3.service
'com.diotek.mini_penmemo
'com.dropbox.android
'com.endomondo.android.pro
'com.etoro.socialalerts
'com.facebook.katana
'com.fmm.dm
'com.fmm.ds
'com.google.android.apps.books
'com.google.android.apps.magazines
'com.google.android.apps.maps
'com.google.android.apps.plus
'com.google.android.apps.uploader
'com.google.android.backup
'com.google.android.feedback
'com.google.android.gm
'com.google.android.gms
'com.google.android.googlequicksearchbox
'com.google.android.gsf
'com.google.android.gsf.login
'com.google.android.Location
'com.google.android.marvin.talkback
'com.google.android.music
'com.google.android.partnersetup
'com.google.android.setupwizard
'com.google.android.street
'com.google.android.syncadapters.bookmarks
'com.google.android.syncadapters.calendar
'com.google.android.syncadapters.Contacts
'com.google.android.talk
'com.google.android.tts
'com.google.android.voicesearch
'com.google.android.youtube
'com.google.earth
'com.ideavisible.tictactoe.free
'com.infraware.polarisviewer4
'com.intsig.camscanner
'com.keramidas.TitaniumBackup
'com.lifevibes.trimapp
'com.linkedin.android
'com.maxxt.pcradio
'com.microphone.earspy
'com.monotype.android.font.chococooky
'com.monotype.android.font.helvneuelt
'com.monotype.android.font.rosemary
'com.orange.authentication.simcard.permission
'com.osp.app.signin
'com.overpass.eyespylite
'com.panasonic.pavc.viera.vieraremote2
'com.phonegap.demo
'com.quickoffice.android
'com.samsung.SMT
'com.samsung.android.app.divx
'com.samsung.android.livewallpaper.deepsea
'com.samsung.android.livewallpaper.luminousdots
'com.samsung.android.providers.context
'com.samsung.app.playreadyui
'com.samsung.avrcp
'com.samsung.groupcast
'com.samsung.helphub
'com.samsung.Map
'com.samsung.music
'com.samsung.overmob.kidshub
'com.samsung.scloud.scloudstarter
'com.samsung.scrc.idi.server
'com.samsung.sec.android.application.csc
'com.samsung.sec.sketch
'com.samsung.shareshot
'com.samsung.spell.gmail
'com.samsung.spell.googlemaps
'com.samsung.topicwall
'com.samsung.videohub
'com.sec.android.Kies
'com.sec.android.allshare.framework
'com.sec.android.app.DataCreate
'com.sec.android.app.FileShareClient
'com.sec.android.app.FileShareServer
'com.sec.android.app.FlashBarService
'com.sec.android.app.GlanceView
'com.sec.android.app.SecSetupWizard
'com.sec.android.app.SuggestionService
'
'
'com.sec.android.app.bluetoothtest
'com.sec.android.app.camera
'com.sec.android.app.clockpackage
'com.sec.android.app.controlpanel
'com.sec.android.app.factorymode
'com.sec.android.app.fm
'com.sec.android.app.gamehub
'com.sec.android.app.kieswifi
'com.sec.android.app.launcher
'com.sec.android.app.lcdtest
'com.sec.android.app.minimode.res
'com.sec.android.app.mobileprint
'com.sec.android.app.music
'com.sec.android.app.myfiles
'com.sec.android.app.nfctest
'com.sec.android.app.personalization
'com.sec.android.app.phoneutil
'com.sec.android.app.popupcalculator
'com.sec.android.app.popupuireceiver
'com.sec.android.app.samsungapps
'com.sec.android.app.samsungapps.una2
'com.sec.android.app.selftestmode
'com.sec.android.app.servicemodeapp
'com.sec.android.app.snotebook
'com.sec.android.app.sns3
'com.sec.android.app.sysscope
'com.sec.android.app.tmserver
'com.sec.android.app.twdvfs
'com.sec.android.app.videoplayer
'com.sec.android.app.voicerecorder
'com.sec.android.app.wallpaperchooser
'com.sec.android.app.wfdbroker
'com.sec.android.app.wlantest
'com.sec.android.cloudagent
'com.sec.android.cloudagent.dropboxoobe
'com.sec.android.daemonapp.ap.accuweather
'com.sec.android.daemonapp.ap.yahoonews
'com.sec.android.daemonapp.ap.yahoostock.stockclock
'com.sec.android.directconnect
'com.sec.android.directshare
'com.sec.android.drmpopup
'com.sec.android.dttsupport
'com.sec.android.favoriteappwidget
'com.sec.android.fotaclient
'com.sec.android.fwupgrade
'com.sec.android.gallery3d
'com.sec.android.gesturepad
'com.sec.android.iap
'com.sec.android.inputmethod
'com.sec.android.mimage.photoretouching
'com.sec.android.motions.settings.panningtutorial
'com.sec.android.msc.mediabridge
'com.sec.android.nearby.mediaserver
'com.sec.android.preloadinstaller
'com.sec.android.provider.badge
'com.sec.android.provider.logsprovider
'com.sec.android.provider.snote
'com.sec.android.providers.downloads
'com.sec.android.sCloudBackupApp
'com.sec.android.sCloudBackupProvider
'com.sec.android.sCloudRelayData
'com.sec.android.sCloudSync
'com.sec.android.sCloudSyncBrowser
'com.sec.android.sCloudSyncCalendar
'com.sec.android.sCloudSyncContacts
'com.sec.android.sCloudSyncSNote
'com.sec.android.service.cm
'com.sec.android.widgetapp.SPlannerAppWidget
'com.sec.android.widgetapp.alarmclock
'com.sec.android.widgetapp.allsharecast
'com.sec.android.widgetapp.analogclocksimple
'com.sec.android.widgetapp.ap.hero.accuweather
'com.sec.android.widgetapp.ap.hero.accuweather.widget
'com.sec.android.widgetapp.ap.yahoonews
'com.sec.android.widgetapp.ap.yahoostock.stockclock
'com.sec.android.widgetapp.digitalclock
'com.sec.android.widgetapp.dualclockanalog
'com.sec.android.widgetapp.dualclockdigital
'com.sec.android.widgetapp.favoriteswidget
'com.sec.android.widgetapp.webmanual
'com.sec.app.RilErrorNotifier
'com.sec.bcservice
'com.sec.ccl.csp.app.secretwallpaper.themetwo
'com.sec.chaton
'com.sec.dsm.Phone
'com.sec.dsm.system
'com.sec.enterprise.permissions
'com.sec.everglades
'com.sec.everglades.update
'com.sec.factory
'com.sec.hearingadjust
'com.sec.msc.learninghub
'com.sec.pcw
'com.sec.pcw.device
'com.sec.Phone
'com.sec.readershub
'com.sec.readershub2.store
'com.sec.setdefaultbrowser
'com.sec.spen.flashannotate
'com.sec.spen.flashannotatesvc
'com.sec.spp.push
'com.sec.waterdrop
'com.sec.webbrowserminiapp
'com.siso.photoWall
'com.skype.raider
'com.smlds
'com.soundcloud.android
'com.tgrape.android.radar
'com.twitter.android
'com.viber.voip
'com.visionobjects.resourcemanager
'com.vlingo.midas
'com.waze
'com.whatsapp
'com.wsomacp
'com.wssnps
'com.wssyncmldm
'de.lotumlabs.buddypainting
'flipboard.app
'it.altroconsumo.orabasta
'it.h3g.appbox.nerostark.com
'it.h3g.areaclienti3
'it.mywatson.watsy
'mobi.infolife.batterysaver
'org.simalliance.openmobileapi.service
'org.videolan.vlc.betav7neon

#End Region