﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim SensorsMap As Map
	Dim SensorsLabels As Map
	Dim result As List
	Dim act As Activity
	Type SensorData (Name As String, ThreeValues As Boolean)
End Sub

'Initializa object sensor
Public Sub Initialize(acti As Activity,FirstTime As Boolean)
	result.Initialize
	act = acti
	If FirstTime Then
		SensorsMap.Initialize
		Dim ps As PhoneSensors
		AddSensor(ps.TYPE_ACCELEROMETER, "ACCELEROMETER", True)
		AddSensor(ps.TYPE_GYROSCOPE, "GYROSCOPE", True)
		AddSensor(ps.TYPE_LIGHT, "LIGHT", False)
		AddSensor(ps.TYPE_MAGNETIC_FIELD, "MAGNETIC", True)
		AddSensor(ps.TYPE_ORIENTATION, "ORIENTATION", True)
		AddSensor(ps.TYPE_PRESSURE, "PRESSURE", False)
		AddSensor(ps.TYPE_PROXIMITY, "PROXIMITY", False)
		AddSensor(ps.TYPE_TEMPERATURE, "TEMPERATURE", False)
	End If
	SensorsLabels.Initialize
	For i = 0 To SensorsMap.Size - 1
		Dim ps As PhoneSensors
		ps = SensorsMap.GetKeyAt(i)
		result.Add("Null")
	Next
End Sub

'to be called when activity resume
Public Sub act_Resume
	For i = 0 To SensorsMap.Size - 1
		Dim ps As PhoneSensors
		Dim sd As SensorData
		Dim lbl As Label
		ps = SensorsMap.GetKeyAt(i)
		sd = SensorsMap.GetValueAt(i)
		lbl = SensorsLabels.Get(ps)
		If ps.StartListening("Sensor") = False Then
			ToastMessageShow(sd.Name & " is not supported.", True)
		End If
	Next
End Sub

' to be called when activity pauses
Public Sub act_Pause (UserClosed As Boolean)
	For i = 0 To SensorsMap.Size - 1
		Dim ps As PhoneSensors
		ps = SensorsMap.GetKeyAt(i)
		ps.StopListening
	Next
End Sub

Private Sub AddSensor(SensorType As Int, Name As String, ThreeValues As Boolean) As SensorData
	Dim sd As SensorData
	sd.Initialize
	sd.Name = Name
	sd.ThreeValues = ThreeValues
	Dim ps As PhoneSensors
	ps.Initialize(SensorType)
	SensorsMap.Put(ps, sd)
End Sub

' valori di ritorno ad ogni postamento
Private Sub Sensor_SensorChanged (Values() As Float)
	Dim ps As PhoneSensors
	Dim sd As SensorData
'	Dim lbl As Label
	ps = Sender
	sd = SensorsMap.Get(ps)
'	lbl = SensorsLabels.Get(ps)
	
	If sd.ThreeValues Then
		If sd.Name = "ACCELEROMETER" Then result.Set(0,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "GYROSCOPE" Then result.set(1,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "LIGHT" Then result.set(2,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "MAGNETIC" Then result.set(3,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "ORIENTATION" Then result.set(4,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "PRESSURE" Then result.set(5,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "PROXIMITY" Then result.set(6,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
		If sd.Name = "TEMPERATURE" Then result.set(7,(NumberFormat(Values(0), 0, 3) & "," & NumberFormat(Values(1), 0, 3) & "," & NumberFormat(Values(2), 0, 3)))
	Else
		If sd.Name = "ACCELEROMETER" Then result.set(0,"Null")
		If sd.Name = "GYROSCOPE" Then result.set(1,"Null")
		If sd.Name = "LIGHT" Then result.set(2,"Null")
		If sd.Name = "MAGNETIC" Then result.set(3,"Null")
		If sd.Name = "ORIENTATION" Then result.set(4,"Null")
		If sd.Name = "PRESSURE" Then result.set(5,"Null")
		If sd.Name = "PROXIMITY" Then result.set(6,"Null")
		If sd.Name = "TEMPERATURE" Then result.set(7,"Null")
	End If
	
End Sub